D-Bus: DBusTimeout Struct Reference

D-Bus 1.10.22

Data Fields
DBusTimeout Struct Reference
D-Bus secret internal implementation details » DBusTimeout implementation details

Internals of DBusTimeout. More...

## Data Fields
int | refcount
| Reference count.
int | interval
| Timeout interval in milliseconds. More...
DBusTimeoutHandler | handler
| Timeout handler. More...
void * | handler_data
| Timeout handler data. More...
DBusFreeFunction | free_handler_data_function
| Free the timeout handler data. More...
void * | data
| Application data. More...
DBusFreeFunction | free_data_function
| Free the application data. More...
unsigned int | enabled: 1
| True if timeout is active. More...

## Detailed Description

Internals of DBusTimeout.

Definition at line 40 of file dbus-timeout.c.

## Field Documentation

## ◆ data

void* DBusTimeout::data

Application data.

Definition at line 49 of file dbus-timeout.c.

Referenced by _dbus_timeout_list_set_functions(), _dbus_timeout_new(), dbus_timeout_get_data(), and dbus_timeout_set_data().

## ◆ enabled

unsigned int DBusTimeout::enabled

True if timeout is active.

Definition at line 51 of file dbus-timeout.c.

Referenced by _dbus_timeout_list_toggle_timeout(), _dbus_timeout_new(), _dbus_timeout_set_enabled(), and dbus_timeout_get_enabled().

## ◆ free_data_function

DBusFreeFunction DBusTimeout::free_data_function

Free the application data.

Definition at line 50 of file dbus-timeout.c.

Referenced by _dbus_timeout_list_set_functions(), _dbus_timeout_new(), and dbus_timeout_set_data().

## ◆ free_handler_data_function

DBusFreeFunction DBusTimeout::free_handler_data_function

Free the timeout handler data.

Definition at line 47 of file dbus-timeout.c.

Referenced by _dbus_timeout_new(), and _dbus_timeout_unref().

## ◆ handler

DBusTimeoutHandler DBusTimeout::handler

Timeout handler.

Definition at line 45 of file dbus-timeout.c.

Referenced by _dbus_timeout_new(), and dbus_timeout_handle().

## ◆ handler_data

void* DBusTimeout::handler_data

Timeout handler data.

Definition at line 46 of file dbus-timeout.c.

Referenced by _dbus_timeout_new(), _dbus_timeout_unref(), and dbus_timeout_handle().

## ◆ interval

int DBusTimeout::interval

Timeout interval in milliseconds.

Definition at line 43 of file dbus-timeout.c.

Referenced by _dbus_timeout_new(), _dbus_timeout_set_interval(), and dbus_timeout_get_interval().

The documentation for this struct was generated from the following file:

- dbus-timeout.c